Summary:	Browser program for the File Transfer Protocol
Summary(de.UTF-8):	NcFTP - ein Textmodus FTP-Client
Summary(es.UTF-8):	Cliente FTP con una interface agradable
Summary(pl.UTF-8):	Zaawansowany klient FTP
Summary(pt_BR.UTF-8):	Cliente FTP com uma interface agradável
Name:		ncftp
Version:	3.2.6
Release:	1
Epoch:		2
License:	The Clarified Artistic License
Group:		Applications/Networking
Source0:	ftp://ftp.ncftp.com/ncftp/%{name}-%{version}-src.tar.xz
# Source0-md5:	42d0f896d69a4d603ec097546444245f
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	ncftpbookmarks.1
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-shared.patch
Patch2:		%{name}-home_etc.patch
URL:		http://www.ncftp.com/
BuildRequires:	autoconf >= 2.53
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel >= 4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		skip_post_check_so	libncftp.so.*

%description
NcFTP is a FTP client with many advantages over the standard one. It
includes command line editing, command histories, support for
recursive gets, automatic logins, background downloading and much
more. This version supports IPv6, too.

%description -l es.UTF-8
ncftp es un cliente FTP con varias ventajas sobre el padrón. Incluye
edición por línea de comando, histórico de comandos, logins
automáticos, y mucho más.

%description -l pl.UTF-8
NcFTP jest zaawansowanym klientem FTP. Pozwala na edycję linii poleceń,
zapamiętuje polecenia, potrafi pobierać całe katalogi wraz z
podkatalogami z serwerów FTP, automatycznie logować się itp. Ta wersja
dodatkowo wspiera IPv6.

%description -l pt_BR.UTF-8
ncftp é um cliente FTP com várias vantagens sobre o padrão. Ele inclui
edição por linha de comando, histórico de comandos, logins
automáticos, e muito mais.

%prep
%setup -q
#gunzip -c %{SOURCE4} | patch -p1
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__autoconf} -I autoconf_local
%{__autoheader} -I autoconf_local
CPPFLAGS="%{rpmcppflags} -I/usr/include/ncurses"
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_pixmapsdir},%{_mandir},%{_desktopdir},/var/spool/%{name}}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}

%{__make} -C libncftp soinstall \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/man1

# devel not used by anything
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libncftp.so
%{__rm} $RPM_BUILD_ROOT%{_includedir}/ncftp*.h

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt doc/{CHANGELOG,FIREWALLS_AND_PROXIES,LICENSE,READLINE,what_*}.txt
%attr(755,root,root) %{_bindir}/ncftp*
%attr(755,root,root) %{_libdir}/libncftp.so.*
%dir /var/spool/%{name}
%{_mandir}/man1/ncftp*.1*
%{_desktopdir}/ncftp.desktop
%{_pixmapsdir}/ncftp.png
%changelog
* Sun Oct 27 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ncftp.git;a=log;h=master

* Mon Apr 15 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 68a4b1e
- up to 3.2.6; ipv6 is gone (not supported by upstream and by other projects)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 96966e0
- x32 rebuild
- release 3 (by relup.sh)

* Wed Dec 04 2013 Jan Rękorajski <baggins@pld-linux.org> ea5c7d6
- symbols missing in library are defined in programs
- rel 2

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> c462956
- df workaround

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> a1a0fcc
- added missing patch

* Sun Mar 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 754235c
- updated to 3.2.5
- updated kame,DESTDIR,shared patches, added ac patch (autoheader fixes for kame)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> a983b0f
- dropped pre-cvs changelog

* Wed Apr 07 2010 shadzik <shadzik@pld-linux.org> f66e4fa
- rel 1

* Wed Apr 07 2010 shadzik <shadzik@pld-linux.org> 1c931d4
- try to fix %build

* Wed Apr 07 2010 Kacper Kornet <draenog@pld-linux.org> 17b56fe
- substitute config.sub

* Tue Apr 06 2010 Kacper Kornet <draenog@pld-linux.org> c3c84ce
- up to 3.2.3
- move patch from the KAME project to distfiles
- adapterized

* Fri May 15 2009 hawk <hawk@pld-linux.org> 9a89c83
- updated md5 (silent bugfix release with same version)

* Wed Aug 27 2008 Jakub Bogusz <qboosh@pld-linux.org> bfcb596
- updated to 3.2.2
- updated DESTDIR,v6 patches
- libdir patches merged into DESTDIR

* Wed Aug 27 2008 Jakub Bogusz <qboosh@pld-linux.org> a754075
- merged into DESTDIR patch

* Wed Aug 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 5410726
- updated for 3.2.2, use LIBDIR

* Sun Feb 10 2008 Paweł Gołaszewski <blues@pld-linux.org> 5b66ff5
- directory for spooler added. What are the proper rights?

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> cabe6c6
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Wed Aug 22 2007 Jakub Bogusz <qboosh@pld-linux.org> 7e3717c
- updated to 3.2.1
- updated v6 patch from KAME
- updated ac25x patch

* Wed Aug 22 2007 Jakub Bogusz <qboosh@pld-linux.org> 463a1e6
- updated for 3.2.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 40ae9c6
- tabs in preamble

